Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.user.server
Class UAJobSubmission

    java.lang.Object
      lbg.user.server.UAJobSubmission

All Implemented Interfaces:
  UAServerRequest

    public class UAJobSubmission

extends java.lang.Object
implements UAServerRequest

An UAJobSubmission represents a job submission request made to the LiveUserAgentServer.

The only parameter associated to this request is the path to a properties file describing the Job to submit.

Author:
  Gerard Dethier

Constructor Summary
`UAJobSubmission()` Constructor.

Method Summary
`java.lang.String` | `getPropertiesFile()` Returns the path to the properties file describing the submitted Job.
`void` | `readRequest(java.io.BufferedReader reader)` Reads the path to the properties file describing the Job sent to the LiveUserAgentServer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UAJobSubmission

    public UAJobSubmission()

  Constructor.

Method Detail

### readRequest

    public void readRequest(java.io.BufferedReader reader)
                     throws java.io.IOException

  Reads the path to the properties file describing the Job sent to the LiveUserAgentServer.

  Specified by:
    `readRequest` in interface `UAServerRequest`
  Parameters:
    `reader` - The reader from which the parameters are read.
  Throws:
    `java.io.IOException` - If the path could not be read.

### getPropertiesFile

    public java.lang.String getPropertiesFile()

  Returns the path to the properties file describing the submitted Job.

  Returns:
    The path to a properties file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.